/*
 * XTEA (Tiny Encryption Algorithm)
 *
 * This is one of the most simple and fastest encryption methods, and it is in
 * theory as secure as IDEA and other complex ciphers. 
 *
 * TEA was developed by David Wheeler and Roger Needham, but both the algorithm
 * and this implementation in ANSI C where released to Public Domain.
 */

#ifndef __TEA_H
#define __TEA_H

void TEA_decrypt(unsigned int source[], unsigned int  dest[], 
                 unsigned int  key[]);
void TEA_block_decrypt(unsigned char *addr, unsigned int  len, 
                       unsigned int  key[]);

#endif
